.section-blog {
    padding-block: 8rem;
    padding-inline: 15rem;
}

.section-blog h1 {
    font-size: clamp(2rem, 4vw, 3rem);
}

.section-blog>.filter {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 1rem;
}

.section-blog>.filter a {
    padding: 8px 15px;
    width: fit-content;
    color: var(--color-1);
    border: solid 1px var(--color-1);
    border-radius: 100px;
    transition: all 0.4s ease;
}

.section-blog>.filter a:hover, 
.section-blog>.filter a.active {
    color: var(--color-light) !important;
    background-color: var(--color-2);
    border: solid 1px var(--color-2);
}

.section-blog>.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 4rem;
    margin-top: 3rem;
}

.section-blog>div>a {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.section-blog>div>a>.img {
    aspect-ratio: 1536/1024;
    border-radius: 25px;
    overflow: hidden;
}

.section-blog>div>a>.img>.category_name {
    position: absolute;
    top: 1rem;
    right: 1rem;
    padding: 10px;
    width: fit-content;
    color: var(--color-light);
    background-color: var(--color-1);
    border-radius: 100px;
    font-size: 0.75rem;
    line-height: 1;
    z-index: 2;
}

.section-blog>div>a>.img>img {
    width: 100% !important;
    height: auto !important;
    aspect-ratio: 1536/1024;
    object-fit: cover;
    border-radius: 25px;
    transition: all 0.4s ease;
}

.section-blog>div>a:hover>.img>img {
    transform: scale(1.1);
}

.section-blog>div>a>.content>.date {
    font-size: 0.75rem;
    font-style: italic;
}

.section-blog>div>a>.content>.title {
    font-size: 1.5rem;
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.section-blog>div>a>.content>.extract {
    font-size: 0.9rem;
    margin-top: 1rem;
}

.section-basic+.section-blog {
    padding-top: 0 !important;
}

.section-basic+.section-blog>.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
    margin-top: 3rem;
}

@media (max-width: 1600px) {
    .section-blog {
        padding-inline: 10rem;
    }
}

@media (max-width: 1260px) {
    .section-blog {
        padding-inline: 5rem;
    }

    .section-blog>.grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 2rem;
    }
}

@media (max-width: 1024px) {
    .section-blog {
        padding-inline: 2rem;
        padding-block: 6rem 4rem;
    }
}

@media (max-width: 768px) {
    .section-blog {
        padding-inline: 1rem;
    }

    .section-blog>.grid,
    .section-basic+.section-blog>.grid {
        grid-template-columns: repeat(1, 1fr);
        gap: 4rem;
    }
}